var JadeCookie = {
	Set: function (name,value,days)
	{
		var expires = new Date();
		expires.setDate(expires.getDate() + days);
		document.cookie = name + "=" + escape(value) + ((days==null) ? "" : ";expires=" + expires.toGMTString()) + "; path=/";
	},
	Get: function (name)
	{
		if(document.cookie.length>0)
		{
			var posStart = document.cookie.indexOf(name + "=");
			if(posStart != -1){
				posStart = posStart + name.length + 1;
				var posEnd = document.cookie.indexOf(";", posStart);
				if(posEnd == -1) posEnd = document.cookie.length;
				return unescape(document.cookie.substring(posStart,posEnd));
			}
		}
		return null;
	},
	SetArray: function (name,value,days)
	{
		
	},
	Delete: function(name)
	{
		Jade.Cookie.Set(name,"",-1);
	}
}
Jade.LoadLibrary('Cookie',JadeCookie);